Skip to main content
GET
/
analytics
/
usage
List usage
curl --request GET \
  --url https://api.getlago.com/api/v1/analytics/usage \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getlago.com/api/v1/analytics/usage"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getlago.com/api/v1/analytics/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "usages": [
    {
      "organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "amount_currency": "USD",
      "amount_cents": 50000,
      "start_of_period_dt": "2023-11-01",
      "end_of_period_dt": "2023-11-30",
      "billable_metric_code": "code1",
      "units": "1.0",
      "is_billable_metric_deleted": false
    }
  ]
}
{
"status": 401,
"error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

time_granularity
enum<string>

The time granularity of usage analytics. Possible values are 'daily', 'weekly', 'monthly', 'yearly'.

Available options:
daily,
weekly,
monthly
Example:

"monthly"

currency
enum<string>

The currency of usage analytics. Format must be ISO 4217.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
ISK,
JMD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STD,
SZL,
THB,
TJS,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
Example:

"USD"

from_date
string<date>

The start date of the period for which the usage analytics is calculated.

Example:

"2023-11-01"

to_date
string<date>

The end date of the period for which the usage analytics is calculated.

Example:

"2023-11-30"

customer_type
enum<string>

The type of customer for which the usage analytics is calculated. Possible values are 'individual', 'company'.

Available options:
individual,
company
Example:

"individual"

external_customer_id
string

The external identifier of the customer for which the usage analytics is calculated.

Example:

"ext-customer-123"

customer_country
enum<string>

The country of the customer for which the usage analytics is calculated.

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
YE,
YT,
ZA,
ZM,
ZW
Example:

"US"

external_subscription_id
string

The external identifier of the subscription for which the usage analytics is calculated.

Example:

"ext-subscription-123"

is_billable_metric_recurring
boolean

Indicates whether the billable metric associated with the usage is recurring.

Example:

true

plan_code
string

The code of the plan for which the usage analytics is calculated.

Example:

"plan-code-123"

billable_metric_code
string

The code of the usage-based billable metrics for which the usage analytics is calculated.

Example:

"code1"

Response

Usage

usages
object[]
required